---
title: Get
url: https://www.tines.com/docs/api/cases/records/get/
updated: 2024-04-22T09:42:31+00:00
description: Retrieve a single record attached to a case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Records](https://www.tines.com/llm/docs/api/cases/records.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/cases/records/get/)*

## Description

Retrieve a single record attached to a case.

## Request

HTTP Method: **GET**

| Parameter | Description                                |
| --------- | ------------------------------------------ |
| case_id   | The ID of the case.                        |
| record_id | The ID of the record attached to the case. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/records/<<record_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object of the record.

### Field description

| Parameter | Description                                                            |
| --------- | ---------------------------------------------------------------------- |
| case_id   | The ID of the case.                                                    |
| record    | The record attached to the case. See the table below for more details. |

| Records parameter | Description                                                        |
| ----------------- | ------------------------------------------------------------------ |
| id                | The record ID.                                                     |
| record_type       | The record type. Includes id and name.                             |
| records           | An array of record fields. Includes the field id, name, and value. |
| created_at        | The timestamp the record was created.                              |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "record": {
    "id": 187,
    "record_type": { "id": 1, "name": "Alert" },
    "records": [
      {
        "id": 1871,
        "name": "Story name",
        "value": "Cases API"
      }
    ],
    "created_at": "2023-12-18T22:29:22Z"
  }
}
```
